// vue.config.js
module.exports = {
  chainWebpack: (config) => {
    config.module
      .rule('url-loader')
      .test(/\.(cur)(\?.*)?$/)
      .use('url-loader')
      .loader('url-loader')
      .end()
  },
  devServer: {
    port: 3333,
    host: 'localhost', // 0.0.0.0
    open: true, // 配置自动启动浏览器
    // 配置代理,
    proxy: {
      '/supermap-host': {
        target: 'http://192.9.200.90:8090/', // 超图服务器地址
        changeOrigin: true,
        pathRewrite: {
          '^/supermap-host': ''
        }
      }
    }
  }
}
